int mutually_connected_largest (int N, int **bondA, int **bondB, double p);
void check_component (int N, int **bond, int *cluster, int *occupied);



//////////////


void find_intersection (int N, int **bondA, int **bondB, int **intersection, int **onlyA, int **onlyB);
int find_node (int i, int j, int **bond);
void add_edge (int i, int n, int **bond);



/////////////////
double estimate_error_basic (int N, double *vec1, double *vec2);
void  iterate_equation_nodes_multiplex (int N, int **bond1, int **bond2, double *vec1, double *vec2, double p);
double theoretical_model_nodes_multiplex(int N, int **bond1, int **bond2, double p);




/////////////////
void theoretical_model_infection_nodes (int N, int **intersection, int **onlyA, int **onlyB, double **order, int V);
void iterate_equation_infection_nodes(int N, int M, int **ref_vec, int **intersection, int **reference_int, int **onlyA, int **reference_A, int **onlyB, int **reference_B, double *probabilities, double *old_probabilities, double p);
void put_together_infection_nodes(double *vec, int N, int M, int **ref_vec, int **intersection, int **reference_int, int **onlyA, int **reference_A, int **onlyB, int **reference_B, double *probabilities, double p);
void find_transition_theoretical_model_infection_nodes (int N, int **intersection, int **onlyA, int **onlyB, double *res);
